
QGIS Application - Bug report #7903

"update options" in DB Manager make QGIS freeze or crash

2013-05-26 01:03 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16775

Description

If I click 3/4 times the "update options" in the "Import Vector" dialog, QGIS usually freeze/crash

gio@sibirica$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Fatal: QGIS died on signal 11

Stacktrace (run through c++filt):

/usr/bin/qgis.bin(Z15myMessageOutput9QtMsgTypePKc+0xac)[0x4e6f4c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x2e)[0x7fbb9d26441e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718bf)[0x7fbb9d2648bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z6qFatalPKcz+0x94)[0x7fbb9d264a64]

/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7fbb9a7554a0]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication9postEventEP7QObjectP6QEventi+0xf7)[0x7fbb9d371587]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x15c846)[0x7fbb74ca6846]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x53a5)[0x7fbb7523d845]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x614b)[0x7fbb7523e5eb]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x855)[0x7fbb75208605]

/usr/lib/libpython2.7.so.1.0(+0x5c7bd)[0x7fbb752087bd]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7fbb752ece83]

/usr/lib/libpython2.7.so.1.0(+0x1251cf)[0x7fbb752d11cf]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7fbb752ece83]

/usr/lib/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7fbb752ed7d7]

/usr/lib/python2.7/dist-packages/sip.so(sip_api_invoke_slot+0x1a0)[0x7fbb74fa1f80]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d396)[0x7fbb74cc7396]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d690)[0x7fbb74cc7690]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d772)[0x7fbb74cc7772]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x4b9)[0x7fbb9d382489]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x32)[0x7fbb9cd80c72]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x599a4e)[0x7fbb9cabea4e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x59ad8b)[0x7fbb9cabfd8b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x8c)[0x7fbb9cabfffc]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x4ac96f)[0x7fbb7470b96f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x684)[0x7fbb9c741144]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x4b403f)[0x7fbb7471303f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7fbb9c6f0894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7fbb9c6f60bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7fbb9e274696]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7fbb9d36de9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8

PointerIS0_Eb+0x172)[0x7fbb9c6f1862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7fbb9c770bf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7fbb9c76fbae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7fbb9c7990d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7fbb99281d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7fbb992820a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fbb99282164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFl

gEE+0x6f)[0x7fbb9d39d3bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7fbb9c798d5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7fbb9

36cc82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7fbb9d36ced7]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QDialog4execEv+0xd6)[0x7fbb9cbc0936]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x47032c)[0x7fbb746cf32c]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x53a5)[0x7fbb7523d845]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x855)[0x7fbb75208605]

/usr/lib/libpython2.7.so.1.0(+0x5c7bd)[0x7fbb752087bd]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7fbb752ece83]

/usr/lib/libpython2.7.so.1.0(+0x1251cf)[0x7fbb752d11cf]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7fbb752ece83]

/usr/lib/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7fbb752ed7d7]

/usr/lib/python2.7/dist-packages/sip.so(sip_api_invoke_slot+0x1a0)[0x7fbb74fa1f80]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d396)[0x7fbb74cc7396]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d690)[0x7fbb74cc7690]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d772)[0x7fbb74cc7772]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x4b9)[0x7fbb9d382489]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction9triggeredEb+0x32)[0x7fbb9c6ea132]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QAction8activateENS_11ActionEventE+0x6f)[0x7fbb9c6ea31f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x59ad4a)[0x7fbb9cabfd4a]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x8c)[0x7fbb9cabfffc]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN11QToolButton17mouseReleaseEventEP11QMouseEvent+0xa)[0x7fbb9cb7d5da]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x684)[0x7fbb9c741144]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7fbb9c6f0894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7fbb9c6f60bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7fbb9e274696]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7fbb9d36de9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8

PointerIS0_Eb+0x172)[0x7fbb9c6f1862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7fbb9c770bf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7fbb9c76fbae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7fbb9c7990d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7fbb99281d53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7fbb992820a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fbb99282164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFl

gEE+0x6f)[0x7fbb9d39d3bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7fbb9c798d5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7fbb9

36cc82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7fbb9d36ced7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x87)[0x7fbb9d371f67]

/usr/bin/qgis.bin(main+0x229e)[0x4e2efe]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7fbb9a74076d]
/usr/bin/qgis.bin[0x4e6cf1]

Aborted (core dumped)

gio@sibirica$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

ERROR 10: Pointer 'hDS' is NULL in 'OGR_DS_Destroy'.

ERROR 10: Pointer 'hDS' is NULL in 'OGR_DS_Destroy'.

Associated revisions

Revision 61285a9d - 2013-05-27 02:27 AM - Giuseppe Sucameli

do not destroy layers created outside the dialog (fix #7903)

History

#1 - 2013-05-26 08:51 AM - Giuseppe Sucameli

- Status changed from Open to Feedback

Unable to reproduce it, please provide further details.

Does the input layer combo contain any layer?

Have you chosen a layer from the combo or just clicked on Update Options once the dialog is displayed?

#2 - 2013-05-26 05:28 PM - Giuseppe Sucameli

- Status changed from Feedback to Closed

Fixed in changeset commit:"61285a9d96a38c8640357563e2ddd7cd9c808534".
